<template>
    <div>
        <div class="text-right mb-3" @click.prevent="addTransmittalDesign()">
            <i class="fas fa-plus text-primary"></i>
        </div>
        <div class="table-responsive">
            <table class="table table-head-custom table-vertical-center table-head-bg table-borderless">
                <thead>
                    <tr>
                        <th>Status</th>
                        <th style="width: 25em;">Numbering</th>
                        <th style="width: 5em;">Revisi</th>
                        <th>Title</th>
                        <th>Hapus</th>
                    </tr>
                </thead>
                <template
                    v-for="(item, i) in design"                
                >
                    <tbody v-bind:key="i">
                        <tr>
                            <td>{{ item.status }}</td>
                            <td>{{ item.numbering }}</td>
                            <td>{{ item.revise }}</td>
                            <td>{{ item.title }}</td>
                            <td>
                                <div>
                                    <b-form-checkbox
                                        id="checkbox-delete-list-transmittal"
                                        v-model="deleteList"
                                        name="checkbox-1"
                                        value="1"
                                        unchecked-value="0"
                                        >
                                    </b-form-checkbox>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </template>
            </table>
        </div>

        <!-- modal -->
        <b-modal ref="my-modal" hide-footer no-close-on-backdrop size="xl" title="Add Design Transmittal">
            <div class="d-block text-center">
                <div>
                    <b-tabs content-class="mt-3">
                        <b-tab title="Design" active>
                            <Design />
                        </b-tab>
                        <b-tab title="Form">
                            
                        </b-tab>
                        <b-tab title="Drawing">

                        </b-tab>
                    </b-tabs>
                </div>
            </div>
        </b-modal>
        <!-- end modal -->
    </div>
</template>

<script>
import Design from "../addDesign/Design.vue";

export default {
    name: "DesingTransmittal",
    components: {
        Design
    },
    data() {
        return {
            design: [
                {
                    status: "Original",
                    numbering: "123123123",
                    revise: "01",
                    title: "Microwave Telecomunication Rack Internal Connection Barru"
                }
            ],
            deleteList: ""
        }
    },
    methods: {
        addTransmittalDesign() {
            this.$refs['my-modal'].show()
        }
    }
}
</script>